sha.h File Reference

SHA-1 hash API. More...

## Macros

#define | CONST64(n)
#define | RORc(x, y)
#define | ROR64c(x, y)

## Detailed Description

SHA-1 hash API.

## Macro Definition Documentation

## CONST64

#define CONST64 | ( |  | n | ) |

Value:
n##ULL

## RORc

#define RORc | ( |  | x,
|  |  | y )

Value:
(((((uint32_t)(x)&0xFFFFFFFFUL) >> (uint32_t)((y)&31)) | \
((uint32_t)(x) << (uint32_t)((32 - ((y)&31)) & 31))) & \
0xFFFFFFFFUL)

## ROR64c

#define ROR64c | ( |  | x,
|  |  | y )

Value:
(((((x)&CONST64(0xFFFFFFFFFFFFFFFF)) >> ((uint64_t)(y)&CONST64(63))) | \
((x) << (((uint64_t)64 - ((y)&63)) & 63))) & \
CONST64(0xFFFFFFFFFFFFFFFF))
CONST64
#define CONST64(n)
Definition sha.h:96